Subject: re:

From: "Ching-Tien (Howard) Ho" <[email-masked]>
Date: Thu, 4 Feb 93 16:09:15 PST

> Please remember that overlapped send/receive will only make sense on
> systems with excess memory bandwidth.  Hence, it might make more sense
> to implement a system where this is permitted by the implementor, but
> not required.  Otherwise, calculations might slow down instead of
> achieving pipelined improvements.  As Al points out, it is only the
> heavy-duty guys who try this sort of stuff...
>
> - Tony

A message passing system with only blocking send and blocking recv is hard
to implement a shift or circulant shift efficiently and safely.
Either you write an unsafe program

bsend (right_nbr)
brecv (left_nbr)

which may deadlock depending on the size of the system buffer,
or you do a two-phase or three-phase
algorithm based on parity, which may require pointer jumping and choosing a
leader.

Regards,

-- Howard

----- End Included Message -----